Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSCallLogParticipant Class Reference

Interface object representing information about remote party for a call log entry. More...

`#import <CSCallLogParticipant.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithDisplayName:remoteAddress:remoteNumber:enterTime:leaveTime:isModerator:sourceType:isRestrictedParticipant:
| Constructor with parameters. More...

## Properties
NSString * | remoteAddress
| The full remote address (i.e., full uri) to the remote endpoint. More...
NSString * | remoteNumber
| The remote number associated with this participant on this call. More...
NSString * | displayName
| The remote user's display name as reported by the network. More...
CSCallLogAddressSourceType | sourceType
| Determines the source of the remote endpoint address. More...
NSDate * | enterDate
| For an outgoing point to point call, this time represents the time (UTC) the call was dialed out. More...
NSDate * | leaveDate
| Represents the time (UTC) of when this participant has left the session. More...
BOOL | isModerator
| Indicates if this remote participant represents a moderator on this conference call. More...
BOOL | restrictedParticipant
| A Boolean value indicating whether the participant has limited capabilities on the call. More...
CSContact * | matchingContact
| Matched contact for this participant. More...

## Detailed Description

Interface object representing information about remote party for a call log entry.

A CSCallLogParticipant object contains remote address, remote number, display name and other information about the called or calling user.

## Method Documentation

- (instancetype) initWithDisplayName: |  | (NSString *) | displayName
remoteAddress: |  | (NSString *) | remoteAddress
remoteNumber: |  | (NSString *) | remoteNumber
enterTime: |  | (NSDate *) | enterTime
leaveTime: |  | (NSDate *) | leaveTime
isModerator: |  | (bool) | isModerator
sourceType: |  | (CSCallLogAddressSourceType) | sourceType
isRestrictedParticipant: |  | (bool) | isRestrictedParticipant

Constructor with parameters.

## Property Documentation

- (NSString*) displayName
| read nonatomic assign

The remote user's display name as reported by the network.

- (NSDate*) enterDate
| read nonatomic assign

For an outgoing point to point call, this time represents the time (UTC) the call was dialed out.

For an incoming call, this time represents the time when local phone device received incoming call. For a conference call where the participant list is available, this time stamp reflects when the remote participant joined the conference.

- (BOOL) isModerator
| read nonatomic assign

Indicates if this remote participant represents a moderator on this conference call.

If the remote participant is not a moderator for the conference call or if the call is a point to point call, this property is set to NO.

- (NSDate*) leaveDate
| read nonatomic assign

Represents the time (UTC) of when this participant has left the session.

For p2p session, this represents when the session ended. The default value is 0, and in the case of conference supporting participant list, if the participant did not leave the conference prior to the conference ending, the LeaveTime will continue to report nil to indicate that the participant did not leave the call when the conference was ended by local user.

- (CSContact*) matchingContact
| read nonatomic assign

Matched contact for this participant.

If there was no matched contact, this property will remain nil.

Deprecated:
  It is recommended to use the resolveContacts: (CSContactService) method instead.

- (NSString*) remoteAddress
| read nonatomic assign

The full remote address (i.e., full uri) to the remote endpoint.

- (NSString*) remoteNumber
| read nonatomic assign

The remote number associated with this participant on this call.

- (BOOL) restrictedParticipant
| read nonatomic assign

A Boolean value indicating whether the participant has limited capabilities on the call.

Restricted participant cannot be lecturer or presenter and cannot become a normal participant. Restricted participant has no moderator controls and can only have a single receive-only video stream. Restricted participant cannot unblock camera and send video, or cannot perform remote camera control operations (e.g., control camera of a remote room system). Restricted participant is muted by the conference server by default, and can only be unmuted by the moderator, e.g., by getting moderator's attention to be unmuted through raise hand mechanism.

- (CSCallLogAddressSourceType) sourceType
| read nonatomic assign

Determines the source of the remote endpoint address.

The address associated with this remote user may be provided by the local client, the network, or may have been obtained from a conference roster.

The documentation for this class was generated from the following file:

- CSCallLogParticipant.h